Loading...
Searching...
No Matches
elastix::ComponentInstaller< TComponent, VIndex > Class Template Reference

`#include <elxComponentInstaller.h>`

## Detailed Description

template<template< class TElastix > class TComponent, unsigned VIndex = 1>
class elastix::ComponentInstaller< TComponent, VIndex >

Installs the component specified by its first argument. Note that TComponent is a "template template parameter". It has a TElastix as template parameter, for example elastix::TranslationTransformElastix or elastix::FixedSmoothingPyramid.

Definition at line 32 of file elxComponentInstaller.h.

## Static Public Member Functions

static int | DO (ComponentDatabase *cdb)

## Member Function Documentation

## DO()

template<template< class TElastix > class TComponent, unsigned VIndex = 1>

int elastix::ComponentInstaller< TComponent, VIndex >::DO | ( | ComponentDatabase * | cdb | ) |

inline static

Definition at line 36 of file elxComponentInstaller.h.

Generated on 1768596610 for elastix by 1.15.0 |